LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XTableRename Interface Reference

allows to rename table. More...

`import"XTableRename.idl";`

Inheritance diagram for XTableRename:

## Exported Interfaces
interface | XConnectionSupplier
Exported Interfaces inherited from XConnectionSupplier
interface | com::sun::star::lang::XInitialization

## Public Member Functions
void | rename ([in] com::sun::star::beans::XPropertySet table, [in] string newName) raises ( com::sun::star::sdbc::SQLException )
| rename the given table to the new name More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Additional Inherited Members
Public Attributes inherited from XConnectionSupplier
com::sun::star::sdbc::XConnection | ActiveConnection
| returns the source connection. More...

## Detailed Description

allows to rename table.

See also
  com::sun::star::sdb::DataSource::Settings

Since
  OOo 3.3

## Exported Interfaces

## ◆ XConnectionSupplier

interface XConnectionSupplier

## Member Function Documentation

## ◆ rename()

void rename | ( | [in] com::sun::star::beans::XPropertySet | table,
|  | [in] string | newName
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

rename the given table to the new name

Parameters

  table | the table to be renamed
  newName | the new name of the table

Exceptions

  com::sun::star::sdbc::SQLException |

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/tools/XTableRename.idl